variable "upstream" {
  description = "Configuration for the upstream proxy"
  type = object({
    mac     = optional(string, "")
    ip      = optional(string, "")
    port    = optional(string, "")
    scheme  = optional(string, "http")
  })
}

# variable "fqdn" {
#   description = "The fully qualified domain name for the app server"
#   type        = string
# }

variable "tag" {
  description = "The version of app to install"
  type        = string
  default     = "v0.4.0"
}

variable "namespace" {
  description = "The namespace for the proxy"
  type        = string
  default     = "wol-proxy"
}

variable "proxy_port" {
  description = "The port on which the proxy will listen"
  type        = number
  default     = 8080
}